#
# spec file for package symbols-only-nerd-fonts
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           symbols-only-nerd-fonts
Version:        3.2.1
Release:        bp160.1.7
Summary:        A glyphs-only version of Nerd Fonts
License:        Apache-2.0 AND CC-BY-4.0 AND MIT AND OFL-1.1-no-RFN AND SUSE-Freeware
Group:          System/X11/Fonts
URL:            https://github.com/ryanoasis/nerd-fonts
Source:         %{url}/releases/download/v%{version}/NerdFontsSymbolsOnly.tar.xz#/%{name}-%{version}.tar.xz
Source10:       https://raw.githubusercontent.com/ryanoasis/nerd-fonts/v%{version}/license-audit.md
BuildRequires:  fontpackages-devel
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
Nerd Fonts takes popular programming fonts and adds a bunch of glyphs.
This package only contains the symbols without including a base font.

%prep
%autosetup -c

%build

%check

%install
install -d %{buildroot}%{_ttfontsdir} %{buildroot}%{_docdir}/%{name} %{buildroot}%{_licensedir}/%{name}
install -m644 *.ttf %{buildroot}%{_ttfontsdir}
install -m644 -t %{buildroot}%{_docdir}/%{name} README.md %{SOURCE10}
install -m644 LICENSE %{buildroot}%{_licensedir}/%{name}

%reconfigure_fonts_scriptlets

%files
%doc README.md license-audit.md
%license LICENSE
%{_ttfontsdir}

%changelog
* Sat Apr 13 2024 Joshua Smith <smolsheep@opensuse.org>
- Fix URL for license-audit.md
- Update to 3.2.1
  * Reorder some FontAwesome glyphs
  - EE00 - EE0B shifted to EFC3 - EFCE
  - F0E6 shifted to EFC2
  - swap F219 with F29F and F167 with F16A
* Sun Apr  7 2024 Joshua Smith <smolsheep@opensuse.org>
- Install license-audit.md and obtain as source.
- Fix licenses to those mentioned in upstream's license-audit.md
- Update to 3.2.0
  * Add Ada icon
  * Add Astro icon
  * Add inverse Powerline arrow heads
  * Add Prettier icon
  * Update Codicons to 0.0.35
  * Update Font Awesome to 6.5.1
  * Update Font Logos to 1.2.0
* Mon Jan 29 2024 Gordon Leung <pirateclip@protonmail.com>
- Update to 3.1.1
  * New icons
  - Add Common Lisp and Scheme icon
  - Add Fennel icon @Grazfather
  - Add Neovim icon @georgeguimaraes
  - Add TOML icon @cpea2506
  - Update Font Logos to v1.1.1
  * Features
  - Update Windows icon to Windows 11
* Tue Jun  6 2023 Joshua Smith <jsmithfpv@gmail.com>
- Initial package of Symbols-only Nerd Fonts v3.0.2 for openSUSE.
